# Module uid

- Description
- Data Types
- Function Index
- Function Details

Provides unique process-local and global IDs.

Copyright © 2012 Zuse Institute Berlin

Version: $Id$

Authors: Nico Kruber (`kruber@zib.de`).

## Description

Provides unique process-local and global IDs.

## Data Types

### global_uid()

abstract datatype: `global_uid()`

## Function Index

from_same_pid/2 | Checks whether GUID1 is from the same process as GUID2.
get_global_uid/0 |
get_pids_uid/0 |
is_my_old_uid/1 | Checks whether the given GUID is an old incarnation of a GUID from my node.
is_old_uid/2 | Checks whether GUID1 is an old incarnation of GUID2.

## Function Details

### get_pids_uid/0

    get_pids_uid() -> pos_integer()

### get_global_uid/0

    get_global_uid() -> global_uid()

### is_my_old_uid/1

    is_my_old_uid(Id :: pos_integer() | global_uid()) ->
                     boolean() | remote

Checks whether the given GUID is an old incarnation of a GUID from my node.

### is_old_uid/2

    is_old_uid(GUID1 :: global_uid(), GUID2 :: global_uid()) ->
                  boolean()

Checks whether GUID1 is an old incarnation of GUID2.

### from_same_pid/2

    from_same_pid(GUID1 :: global_uid(), GUID2 :: global_uid()) ->
                     boolean()

Checks whether GUID1 is from the same process as GUID2.

Generated by EDoc, Feb 29 2016, 16:12:16.